Index: modules/uoa-services-library/branches/newlinking/ng-openaire-library/src/app/landingPages/orp/orp.component.ts
===================================================================
--- modules/uoa-services-library/branches/newlinking/ng-openaire-library/src/app/landingPages/orp/orp.component.ts	(revision 55569)
+++ modules/uoa-services-library/branches/newlinking/ng-openaire-library/src/app/landingPages/orp/orp.component.ts	(revision 55570)
@@ -1,5 +1,5 @@
 import {Component, ViewChild}         from '@angular/core';
-import {ElementRef, Input}            from '@angular/core';
+import {Input}            from '@angular/core';
 import {ActivatedRoute, Router}       from '@angular/router';
 import {Title, Meta}                  from '@angular/platform-browser';
 
@@ -12,6 +12,7 @@
 import {OrpService}               from './orp.service';
 import {PiwikService}                 from '../../utils/piwik/piwik.service';
 import { SEOService } from '../../sharedComponents/SEO/SEO.service';
+import {HelperFunctions} from "../../utils/HelperFunctions.class";
 
 
 @Component({
@@ -61,8 +62,7 @@
     sub: any; piwiksub: any; infoSub: any;
     properties:EnvProperties;
 
-    constructor (private element: ElementRef,
-                 private _orpService: OrpService,
+    constructor (private _orpService: OrpService,
                  private _piwikService:PiwikService,
                  private  route: ActivatedRoute,
                  private _meta: Meta,
@@ -189,9 +189,7 @@
     }
 
     public scroll() {
-      if (typeof document !== 'undefined') {
-         this.element.nativeElement.scrollIntoView();
-      }
+      HelperFunctions.scroll();
     }
 
     private handleError(message: string, error) {
Index: modules/uoa-services-library/branches/newlinking/ng-openaire-library/src/app/landingPages/dataProvider/dataProvider.component.ts
===================================================================
--- modules/uoa-services-library/branches/newlinking/ng-openaire-library/src/app/landingPages/dataProvider/dataProvider.component.ts	(revision 55569)
+++ modules/uoa-services-library/branches/newlinking/ng-openaire-library/src/app/landingPages/dataProvider/dataProvider.component.ts	(revision 55570)
@@ -1,5 +1,5 @@
 import {Component, ViewChild}               from '@angular/core';
-import {ElementRef, Input}                  from '@angular/core';
+import {Input}                  from '@angular/core';
 import {ActivatedRoute, Router}             from '@angular/router';
 import {Title, Meta}                        from '@angular/platform-browser';
 
@@ -29,6 +29,7 @@
 import {RouterHelper}                       from '../../utils/routerHelper.class';
 import {PiwikService}                       from '../../utils/piwik/piwik.service';
 import { SEOService } from '../../sharedComponents/SEO/SEO.service';
+import {HelperFunctions} from "../../utils/HelperFunctions.class";
 
 
 @Component({
@@ -95,8 +96,6 @@
   private reloadDataproviders: boolean = true;
   private reloadRelatedDatasources: boolean = true;
 
-  private nativeElement : Node;
-
   sub: any;
   piwiksub: any;
   subInfo: any;
@@ -103,8 +102,7 @@
   relatedDatasourcesSub: any;
   properties:EnvProperties;
 
-  constructor (private element: ElementRef,
-               private _dataproviderService: DataProviderService,
+  constructor (private _dataproviderService: DataProviderService,
                private _piwikService:PiwikService,
                private route: ActivatedRoute,
                private _meta: Meta,
@@ -142,9 +140,7 @@
        this.getDataProviderInfo(this.datasourceId);
       }
 
-      if (typeof document !== 'undefined') {
-        this.element.nativeElement.scrollIntoView();
-      }
+      HelperFunctions.scroll();
    });
  }
 
Index: modules/uoa-services-library/branches/newlinking/ng-openaire-library/src/app/landingPages/dataset/dataset.component.ts
===================================================================
--- modules/uoa-services-library/branches/newlinking/ng-openaire-library/src/app/landingPages/dataset/dataset.component.ts	(revision 55569)
+++ modules/uoa-services-library/branches/newlinking/ng-openaire-library/src/app/landingPages/dataset/dataset.component.ts	(revision 55570)
@@ -1,5 +1,5 @@
 import {Component, ViewChild}         from '@angular/core';
-import {ElementRef, Input}            from '@angular/core';
+import {Input}            from '@angular/core';
 import {ActivatedRoute, Router}       from '@angular/router';
 import {Title, Meta}                  from '@angular/platform-browser';
 
@@ -12,6 +12,7 @@
 import {DatasetService}               from './dataset.service';
 import {PiwikService}                 from '../../utils/piwik/piwik.service';
 import { SEOService } from '../../sharedComponents/SEO/SEO.service';
+import {HelperFunctions} from "../../utils/HelperFunctions.class";
 
 
 @Component({
@@ -61,8 +62,7 @@
     sub: any; piwiksub: any; infoSub: any;
     properties:EnvProperties;
 
-    constructor (private element: ElementRef,
-                 private _datasetService: DatasetService,
+    constructor (private _datasetService: DatasetService,
                  private _piwikService:PiwikService,
                  private  route: ActivatedRoute,
                  private _meta: Meta,
@@ -202,12 +202,6 @@
       return Array.from(map.keys());
     }
 
-    public scroll() {
-      if (typeof document !== 'undefined') {
-         this.element.nativeElement.scrollIntoView();
-      }
-    }
-
     private handleError(message: string, error) {
         console.error("Research Data Landing Page: "+message, error);
     }
@@ -223,4 +217,8 @@
       }
       return totalPages;
     }
+
+    public scroll() {
+      HelperFunctions.scroll();
+    }
 }
Index: modules/uoa-services-library/branches/newlinking/ng-openaire-library/src/app/landingPages/organization/organization.component.ts
===================================================================
--- modules/uoa-services-library/branches/newlinking/ng-openaire-library/src/app/landingPages/organization/organization.component.ts	(revision 55569)
+++ modules/uoa-services-library/branches/newlinking/ng-openaire-library/src/app/landingPages/organization/organization.component.ts	(revision 55570)
@@ -27,6 +27,7 @@
 import {StringUtils}                    from '../../utils/string-utils.class';
 import {EnvProperties}                  from '../../utils/properties/env-properties';
 import { SEOService } from '../../sharedComponents/SEO/SEO.service';
+import {HelperFunctions} from "../../utils/HelperFunctions.class";
 
 @Component({
     selector: 'organization',
@@ -48,6 +49,7 @@
     public csvProjectParamsHead: string;
     public csvPublicationParamsHead: string;
     public csvParamsTail: string;
+    public csvAffiliatedPublications: string;
 
     // Active tab variable for responsiveness
     public activeTab: string = "Publications";
@@ -141,15 +143,14 @@
                 this.warningMessage="No valid organization id";
             }
 
-            if (typeof document !== 'undefined') {
-               this.element.nativeElement.scrollIntoView();
-            }
+          HelperFunctions.scroll();
 
-            this.csvParamsTail = '" and relorganizationid exact "'+this.organizationId+'" ))';
+          this.csvParamsTail = '" and relorganizationid exact "'+this.organizationId+'" ))';
 
         });
 
         this.downloadURLAPI =this.properties.csvAPIURL;
+        this.csvAffiliatedPublications = this.downloadURLAPI+"?format=csv&type=publications&fq=(((oaftype exact result) and (resulttypeid exact publication)) and (relorganizationid exact \""+this.organizationId+"\"))";
         this.csvProjectParamsHead = 'format=csv&type=projects&fq=( (oaftype exact project)and (funder exact "';
         //this.csvPublicationParamsHead = 'format=csv-special&type=publications&page=0&query=((((oaftype exact result) and (resulttypeid exact publication)) and (funderid exact ';
     }
@@ -376,10 +377,10 @@
                                   let url: string;
                                   if(!title) {
                                       //url = this.downloadURLAPI+"projects/"+projects[index].id+"?type=publications&format=csv-special";//&size="+data;
-                                      url = this.downloadURLAPI+"?format=csv-special&type=publications&fq=(((oaftype exact result) and (resulttypeid exact publication)) and (relprojectid exact '"+projects[index].id+"'))"
+                                      url = this.downloadURLAPI+"?format=csv-special&type=publications&fq=(((oaftype exact result) and (resulttypeid exact publication)) and (relprojectid exact \""+projects[index].id+"\"))"
                                   } else {
                                       //url = this.downloadURLAPI+"projects/"+projects[index].id+"/publications?format=csv-special-notitle";//&size="+data;
-                                      url = this.downloadURLAPI+"?format=csv-special-notitle&type=publications&fq=(((oaftype exact result) and (resulttypeid exact publication)) and (relprojectid exact '"+projects[index].id+"'))"
+                                      url = this.downloadURLAPI+"?format=csv-special-notitle&type=publications&fq=(((oaftype exact result) and (resulttypeid exact publication)) and (relprojectid exact \""+projects[index].id+"\"))"
                                   }
 
                                   if(data == 0 && (counter > 1 || title)) {   // if no publications for this project
Index: modules/uoa-services-library/branches/newlinking/ng-openaire-library/src/app/landingPages/project/project.component.ts
===================================================================
--- modules/uoa-services-library/branches/newlinking/ng-openaire-library/src/app/landingPages/project/project.component.ts	(revision 55569)
+++ modules/uoa-services-library/branches/newlinking/ng-openaire-library/src/app/landingPages/project/project.component.ts	(revision 55570)
@@ -1,5 +1,5 @@
 import {Component, ViewChild}         from '@angular/core';
-import {ElementRef, Input}            from '@angular/core';
+import {Input}            from '@angular/core';
 import {ActivatedRoute, Router}       from '@angular/router';
 import {Params}                       from '@angular/router';
 import {Title, Meta}                  from '@angular/platform-browser';
@@ -27,6 +27,7 @@
 import {PiwikService}                 from '../../utils/piwik/piwik.service';
 import {EnvProperties}                from '../../utils/properties/env-properties';
 import { SEOService } from '../../sharedComponents/SEO/SEO.service';
+import {HelperFunctions} from "../../utils/HelperFunctions.class";
 
 @Component({
     selector: 'project',
@@ -101,8 +102,7 @@
 
   sub: any; piwiksub: any; infoSub: any; downloadFilePiwikSub: any;
 properties:EnvProperties;
-  constructor ( private element: ElementRef,
-                private _projectService: ProjectService,
+  constructor ( private _projectService: ProjectService,
                 private _piwikService:PiwikService,
                 private  route: ActivatedRoute,
                 private _searchPublicationsService: SearchPublicationsService,
@@ -156,14 +156,12 @@
       this.downloadURLAPI = this.properties.csvAPIURL;
 
       this.createClipboard();
-      this.csvParams = "?format=csv-special&type=publications&fq=(((oaftype exact result) and (resulttypeid exact publication)) and (relprojectid exact "+this.projectId+"))";
-      this.csvParamsDatasets = "?format=csv-special&type=datasets&fq=(((oaftype exact result) and (resulttypeid exact dataset)) and (relprojectid exact "+this.projectId+"))";
-      this.csvParamsSoftware = "?format=csv-special&type=software&fq=(((oaftype exact result) and (resulttypeid exact software)) and (relprojectid exact "+this.projectId+"))";
-      this.csvParamsOrps = "?format=csv-special&type=other&fq=(((oaftype exact result) and (resulttypeid exact other)) and (relprojectid exact "+this.projectId+"))";
+      this.csvParams = "?format=csv-special&type=publications&fq=(((oaftype exact result) and (resulttypeid exact publication)) and (relprojectid exact \""+this.projectId+"\"))";
+      this.csvParamsDatasets = "?format=csv-special&type=datasets&fq=(((oaftype exact result) and (resulttypeid exact dataset)) and (relprojectid exact \""+this.projectId+"\"))";
+      this.csvParamsSoftware = "?format=csv-special&type=software&fq=(((oaftype exact result) and (resulttypeid exact software)) and (relprojectid exact \""+this.projectId+"\"))";
+      this.csvParamsOrps = "?format=csv-special&type=other&fq=(((oaftype exact result) and (resulttypeid exact other)) and (relprojectid exact \""+this.projectId+"\"))";
 
-      if (typeof document !== 'undefined') {
-         this.element.nativeElement.scrollIntoView();
-      }
+      HelperFunctions.scroll();
   });
 }
 
Index: modules/uoa-services-library/branches/newlinking/ng-openaire-library/src/app/landingPages/landing-utils/fundedBy.component.ts
===================================================================
--- modules/uoa-services-library/branches/newlinking/ng-openaire-library/src/app/landingPages/landing-utils/fundedBy.component.ts	(revision 55569)
+++ modules/uoa-services-library/branches/newlinking/ng-openaire-library/src/app/landingPages/landing-utils/fundedBy.component.ts	(revision 55570)
@@ -1,4 +1,5 @@
-import {Component, Input, ElementRef} from '@angular/core';
+import {Component, Input} from '@angular/core';
+import {HelperFunctions} from "../../utils/HelperFunctions.class";
 
 @Component({
     selector: 'fundedBy',
@@ -71,7 +72,7 @@
     public threshold: number = 5;
     public showNum: number = 5;
 
-    constructor (private element: ElementRef) {}
+    constructor () {}
 
     ngOnInit() {}
 
@@ -124,8 +125,6 @@
     }
 
     public scroll() {
-      if (typeof document !== 'undefined') {
-         this.element.nativeElement.scrollIntoView();
-      }
+      HelperFunctions.scroll();
     }
 }
Index: modules/uoa-services-library/branches/newlinking/ng-openaire-library/src/app/landingPages/landing-utils/showAuthors.component.ts
===================================================================
--- modules/uoa-services-library/branches/newlinking/ng-openaire-library/src/app/landingPages/landing-utils/showAuthors.component.ts	(revision 55569)
+++ modules/uoa-services-library/branches/newlinking/ng-openaire-library/src/app/landingPages/landing-utils/showAuthors.component.ts	(revision 55570)
@@ -1,5 +1,6 @@
-import {Component, Input, ElementRef} from '@angular/core';
+import {Component, Input} from '@angular/core';
 import {RouterHelper} from '../../utils/routerHelper.class';
+import {HelperFunctions} from "../../utils/HelperFunctions.class";
 
 @Component({
     selector: 'showAuthors',
@@ -46,7 +47,7 @@
     public showAll: boolean = false;
     public routerHelper:RouterHelper = new RouterHelper();
 
-    constructor (private element: ElementRef) {
+    constructor () {
     }
 
     ngOnInit() {
@@ -57,8 +58,6 @@
     }
 
     public scroll() {
-      if (typeof document !== 'undefined') {
-         this.element.nativeElement.scrollIntoView();
-      }
+      HelperFunctions.scroll();
     }
 }
Index: modules/uoa-services-library/branches/newlinking/ng-openaire-library/src/app/utils/email/email.service.ts
===================================================================
--- modules/uoa-services-library/branches/newlinking/ng-openaire-library/src/app/utils/email/email.service.ts	(revision 55569)
+++ modules/uoa-services-library/branches/newlinking/ng-openaire-library/src/app/utils/email/email.service.ts	(revision 55570)
@@ -2,6 +2,7 @@
 import {Http, Response, Headers, RequestOptions} from '@angular/http';
 import {Email} from './email';
 import {CustomOptions} from '../../services/servicesUtils/customOptions.class';
+import {EmailRecaptcha} from "../entities/EmailRecaptcha";
 
 @Injectable()
 export class EmailService {
@@ -16,4 +17,12 @@
                    .map(request => request.json());
     }
 
+    contact(url: string, email: Email, recaptcha: string) {
+        const data: EmailRecaptcha = new EmailRecaptcha();
+        data.email = email;
+        data.recaptcha = recaptcha;
+        return this.http.post(url, data)
+            .map(request => request.json());
+    }
+
 }
Index: modules/uoa-services-library/branches/newlinking/ng-openaire-library/src/app/utils/entities/EmailRecaptcha.ts
===================================================================
--- modules/uoa-services-library/branches/newlinking/ng-openaire-library/src/app/utils/entities/EmailRecaptcha.ts	(nonexistent)
+++ modules/uoa-services-library/branches/newlinking/ng-openaire-library/src/app/utils/entities/EmailRecaptcha.ts	(revision 55570)
@@ -0,0 +1,6 @@
+import {Email} from "../email/email";
+
+export class EmailRecaptcha {
+  email: Email = null;
+  recaptcha: string = null;
+}
Index: modules/uoa-services-library/branches/newlinking/ng-openaire-library/src/app/landingPages/landing-utils/searchingProjectsInTab.component.ts
===================================================================
--- modules/uoa-services-library/branches/newlinking/ng-openaire-library/src/app/landingPages/landing-utils/searchingProjectsInTab.component.ts	(revision 55569)
+++ modules/uoa-services-library/branches/newlinking/ng-openaire-library/src/app/landingPages/landing-utils/searchingProjectsInTab.component.ts	(revision 55570)
@@ -69,7 +69,7 @@
     ngOnInit() {
 
             if(this.organizationId) {
-                this.linkToSearchProjects = this.properties.searchLinkToAdvancedPublications;//+"?organization="+this.organizationId+"or=and";;
+                this.linkToSearchProjects = this.properties.searchLinkToAdvancedProjects;//+"?organization="+this.organizationId+"or=and";;
                 if(this.fetchProjects.searchUtils.totalResults > 0) {
                   this.search(false,"");
                 }
Index: modules/uoa-services-library/branches/newlinking/ng-openaire-library/src/app/landingPages/landing-utils/availableOn.component.ts
===================================================================
--- modules/uoa-services-library/branches/newlinking/ng-openaire-library/src/app/landingPages/landing-utils/availableOn.component.ts	(revision 55569)
+++ modules/uoa-services-library/branches/newlinking/ng-openaire-library/src/app/landingPages/landing-utils/availableOn.component.ts	(revision 55570)
@@ -1,4 +1,5 @@
-import {Component, Input, ElementRef} from '@angular/core';
+import {Component, Input} from '@angular/core';
+import {HelperFunctions} from "../../utils/HelperFunctions.class";
 
 @Component({
     selector: 'availableOn',
@@ -64,13 +65,11 @@
     public threshold: number = 5;
     public showNum: number = 5;
 
-    constructor (private element: ElementRef) {}
+    constructor () {}
 
     ngOnInit() {}
 
     public scroll() {
-      if (typeof document !== 'undefined') {
-         this.element.nativeElement.scrollIntoView();
-      }
+      HelperFunctions.scroll();
     }
 }
Index: modules/uoa-services-library/branches/newlinking/ng-openaire-library/src/app/utils/email/contact-form.ts
===================================================================
--- modules/uoa-services-library/branches/newlinking/ng-openaire-library/src/app/utils/email/contact-form.ts	(nonexistent)
+++ modules/uoa-services-library/branches/newlinking/ng-openaire-library/src/app/utils/email/contact-form.ts	(revision 55570)
@@ -0,0 +1,9 @@
+export class ContactForm {
+  name: string = '';
+  surname: string = '';
+  email: string = '';
+  affiliation: string = '';
+  community: string = '';
+  message: string = '';
+  recaptcha: string = null;
+}
Index: modules/uoa-services-library/branches/newlinking/ng-openaire-library/src/app/utils/properties/searchFields.ts
===================================================================
--- modules/uoa-services-library/branches/newlinking/ng-openaire-library/src/app/utils/properties/searchFields.ts	(revision 55569)
+++ modules/uoa-services-library/branches/newlinking/ng-openaire-library/src/app/utils/properties/searchFields.ts	(revision 55570)
@@ -134,6 +134,7 @@
 
       public ADVANCED_SEARCH_OPERATORS:[{name:string, id:string}] = [{name:"AND",id:"and"},{name:"OR",id:"or"},{name:"NOT",id:"not"}];
 
+      public COMMUNITIES_SEARCH_FIELDS:string[] = ["type","status","role"];
      constructor (){
      }
      getFieldName(fieldId:string,fieldType:string):string{
Index: modules/uoa-services-library/branches/newlinking/ng-openaire-library/src/app/login/utils/guardHelper.class.ts
===================================================================
--- modules/uoa-services-library/branches/newlinking/ng-openaire-library/src/app/login/utils/guardHelper.class.ts	(revision 55569)
+++ modules/uoa-services-library/branches/newlinking/ng-openaire-library/src/app/login/utils/guardHelper.class.ts	(revision 55570)
@@ -5,5 +5,5 @@
    public static NOT_CONNECT_ADMIN = 4;
    public static NO_COMMUNITY = 5;
    public static NOT_SUBSCRIBER = 6;
-
+   public static ACTION_REQUIRES_LOGIN = 7;
 }
Index: modules/uoa-services-library/branches/newlinking/ng-openaire-library/src/app/sharedComponents/sidebar/sideBar.module.ts
===================================================================
--- modules/uoa-services-library/branches/newlinking/ng-openaire-library/src/app/sharedComponents/sidebar/sideBar.module.ts	(nonexistent)
+++ modules/uoa-services-library/branches/newlinking/ng-openaire-library/src/app/sharedComponents/sidebar/sideBar.module.ts	(revision 55570)
@@ -0,0 +1,22 @@
+import {NgModule} from '@angular/core';
+import {CommonModule} from '@angular/common';
+
+import {RouterModule} from "@angular/router";
+
+import {SideBarComponent} from './sideBar.component';
+
+@NgModule({
+  imports: [
+    CommonModule,
+    RouterModule
+  ],
+  declarations: [
+    SideBarComponent
+  ],
+  providers: [],
+  exports: [
+    SideBarComponent
+  ]
+})
+export class SideBarModule {
+}
Index: modules/uoa-services-library/branches/newlinking/ng-openaire-library/src/app/utils/errorMessages.component.ts
===================================================================
--- modules/uoa-services-library/branches/newlinking/ng-openaire-library/src/app/utils/errorMessages.component.ts	(revision 55569)
+++ modules/uoa-services-library/branches/newlinking/ng-openaire-library/src/app/utils/errorMessages.component.ts	(revision 55570)
@@ -4,32 +4,32 @@
 @Component({
     selector: 'errorMessages',
     template: `
-      <div *ngIf="status.some(checkErroCode(errorCodes.LOADING))"
+      <div *ngIf="status.some(checkErrorCode(errorCodes.LOADING))"
             [class]="(tab_error_class ? '' : 'uk-animation-fade') + ' uk-margin-top  uk-width-1-1'" role="alert"><span class="loading-gif  uk-align-center" ></span></div>
-      <div *ngIf="status.every(checkErroCode(errorCodes.NONE))"
+      <div *ngIf="status.every(checkErrorCode(errorCodes.NONE))"
             [class]="(tab_error_class ? 'uk-margin-top' : 'uk-animation-fade') + ' uk-alert uk-alert-primary'" role="alert">No {{type}} available</div>
-      <div *ngIf="status.every(checkErroCode(errorCodes.ERROR)) ||
-                  (status.some(checkErroCode(errorCodes.ERROR)) && (!status.every(checkErroCode(errorCodes.DONE)) || !status.every(checkErroCode(errorCodes.LOADING))))"
+      <div *ngIf="status.every(checkErrorCode(errorCodes.ERROR)) ||
+                  (status.some(checkErrorCode(errorCodes.ERROR)) && (!status.every(checkErrorCode(errorCodes.DONE)) || !status.every(checkErrorCode(errorCodes.LOADING))))"
             [class]="(tab_error_class ? 'uk-margin-top' : 'uk-animation-fade') + ' uk-alert uk-alert-warning'" role="alert">
-        An Error Occured
+        An Error Occurred
       </div>
-      <div *ngIf="status.every(checkErroCode(errorCodes.NOT_AVAILABLE)) ||
-                  (status.some(checkErroCode(errorCodes.NOT_AVAILABLE)) && (!status.every(checkErroCode(errorCodes.DONE)) || !status.every(checkErroCode(errorCodes.LOADING))))"
+      <div *ngIf="status.every(checkErrorCode(errorCodes.NOT_AVAILABLE)) ||
+                  (status.some(checkErrorCode(errorCodes.NOT_AVAILABLE)) && (!status.every(checkErrorCode(errorCodes.DONE)) || !status.every(checkErrorCode(errorCodes.LOADING))))"
             [class]="(tab_error_class ? 'uk-margin-top' : 'uk-animation-fade') + ' uk-alert uk-alert-warning'" role="alert">
-        Service temprorarily unavailable. Please try again later.
+        Service temporarily unavailable. Please try again later.
       </div>
-      <div *ngIf="status.every(checkErroCode(errorCodes.NOT_FOUND)) ||
-                  (status.some(checkErroCode(errorCodes.NOT_FOUND)) && (!status.every(checkErroCode(errorCodes.DONE)) || !status.every(checkErroCode(errorCodes.LOADING))))"
+      <div *ngIf="status.every(checkErrorCode(errorCodes.NOT_FOUND)) ||
+                  (status.some(checkErrorCode(errorCodes.NOT_FOUND)) && (!status.every(checkErrorCode(errorCodes.DONE)) || !status.every(checkErrorCode(errorCodes.LOADING))))"
             [class]="(tab_error_class ? 'uk-margin-top' : 'uk-animation-fade') + ' uk-alert uk-alert-warning'" role="alert">
         No {{type}} found
       </div>
-      <div *ngIf="status.every(checkErroCode(errorCodes.OUT_OF_BOUND))"
+      <div *ngIf="status.every(checkErrorCode(errorCodes.OUT_OF_BOUND))"
             [class]="(tab_error_class ? 'uk-margin-top' : 'uk-animation-fade') + ' uk-alert uk-alert-warning'" role="alert">Requested page out of bounds
       </div>
-      <div *ngIf="status.some(checkErroCode(errorCodes.NOT_SAVED))"
+      <div *ngIf="status.some(checkErrorCode(errorCodes.NOT_SAVED))"
             [class]="(tab_error_class ? 'uk-margin-top' : 'uk-animation-fade') + ' uk-alert uk-alert-warning'" role="alert">Changes could not be saved
       </div>
-      <div *ngIf="status.some(checkErroCode(errorCodes.FORBIDDEN))"
+      <div *ngIf="status.some(checkErrorCode(errorCodes.FORBIDDEN))"
             [class]="(tab_error_class ? 'uk-margin-top' : 'uk-animation-fade') + ' uk-alert uk-alert-danger'" role="alert">You are not allowed to access this page
       </div>
     `
@@ -54,22 +54,22 @@
 
       ngOnDestroy() {}
 
-      public checkErroCode(code: number) {
+      public checkErrorCode(code: number) {
         return function(status: number) {
           return (status == code);
         }
       }
 
-      public getErrorCode(status: string) {
-        if(status == '401') {
+      public getErrorCode(status: any) {
+        if(status == '401' || status == 401) {
           return this.errorCodes.FORBIDDEN;
-        } else if(status == "403") {
+        } else if(status == "403" || status == 403) {
           return this.errorCodes.FORBIDDEN;
-        } else if(status == "204") {
+        } else if(status == "204" || status == 204) {
           return this.errorCodes.NONE;
-        } else if(status == '404') {
+        } else if(status == '404' || status == 404) {
           return this.errorCodes.NOT_FOUND;
-        } else if(status == '500') {
+        } else if(status == '500'|| status == 500) {
           return this.errorCodes.ERROR;
         } else {
           return this.errorCodes.NOT_AVAILABLE;
Index: modules/uoa-services-library/branches/newlinking/ng-openaire-library/src/app/utils/manage/manage.module.ts
===================================================================
--- modules/uoa-services-library/branches/newlinking/ng-openaire-library/src/app/utils/manage/manage.module.ts	(nonexistent)
+++ modules/uoa-services-library/branches/newlinking/ng-openaire-library/src/app/utils/manage/manage.module.ts	(revision 55570)
@@ -0,0 +1,19 @@
+import { NgModule}            from '@angular/core';
+import { CommonModule }        from '@angular/common';
+import { RouterModule } from '@angular/router';
+
+import {ManageComponent} from './manage.component';
+import {AlertModalModule} from '../modal/alertModal.module';
+
+@NgModule({
+  imports: [
+    CommonModule,   RouterModule, AlertModalModule
+  ],
+  declarations: [
+    ManageComponent
+  ],
+  exports: [
+    ManageComponent
+  ]
+})
+export class ManageModule { }
Index: modules/uoa-services-library/branches/newlinking/ng-openaire-library/src/app/reload/reload.component.ts
===================================================================
--- modules/uoa-services-library/branches/newlinking/ng-openaire-library/src/app/reload/reload.component.ts	(revision 55569)
+++ modules/uoa-services-library/branches/newlinking/ng-openaire-library/src/app/reload/reload.component.ts	(revision 55570)
@@ -1,11 +1,7 @@
-import {Component, Input, Output, EventEmitter, ViewChild, ElementRef} from '@angular/core';
-import {Observable}       from 'rxjs/Observable';
+import {Component} from '@angular/core';
 import {ActivatedRoute, Router} from '@angular/router';
-import {Location} from '@angular/common';
-
-import {ErrorCodes} from '../utils/properties/errorCodes';
-import {RouterHelper} from '../utils/routerHelper.class';
 import {Session} from '../login/utils/helper.class';
+import {HelperFunctions} from "../utils/HelperFunctions.class";
 
 @Component({
     selector: 'reload',
@@ -23,18 +19,11 @@
 })
 export class ReloadComponent {
 
-  constructor (private element: ElementRef,
-    private route: ActivatedRoute,
-      private _router: Router,
-       private location: Location
-    ) {
+  constructor (private route: ActivatedRoute, private _router: Router) {}
 
-   }
+  public ngOnInit() {
+      HelperFunctions.scroll();
 
-  public ngOnInit() {
-    if (typeof document !== 'undefined') {
-      this.element.nativeElement.scrollIntoView();
-    }
       var URL = Session.getReloadUrl();
 
         if(URL && URL["path"] && URL["path"] != null && URL["path"] != ""){
Index: modules/uoa-services-library/branches/newlinking/ng-openaire-library/src/app/landingPages/publication/publication.component.ts
===================================================================
--- modules/uoa-services-library/branches/newlinking/ng-openaire-library/src/app/landingPages/publication/publication.component.ts	(revision 55569)
+++ modules/uoa-services-library/branches/newlinking/ng-openaire-library/src/app/landingPages/publication/publication.component.ts	(revision 55570)
@@ -1,5 +1,5 @@
 import {Component, ViewChild}         from '@angular/core';
-import {ElementRef, Input}            from '@angular/core';
+import {Input}            from '@angular/core';
 import {ActivatedRoute, Router}       from '@angular/router';
 import {Title, Meta}                  from '@angular/platform-browser';
 
@@ -12,6 +12,7 @@
 import {PiwikService}                 from '../../utils/piwik/piwik.service';
 import {PublicationService}           from './publication.service';
 import { SEOService } from '../../sharedComponents/SEO/SEO.service';
+import {HelperFunctions} from "../../utils/HelperFunctions.class";
 
 
 @Component({
@@ -72,8 +73,7 @@
   sub: any; piwiksub: any; infoSub: any;
   properties:EnvProperties;
 
-  constructor ( private element: ElementRef,
-                private _publicationService: PublicationService,
+  constructor ( private _publicationService: PublicationService,
                 private _piwikService:PiwikService,
                 private route: ActivatedRoute,
                 private _meta: Meta,
@@ -293,9 +293,7 @@
     }
 
     public scroll() {
-      if (typeof document !== 'undefined') {
-         this.element.nativeElement.scrollIntoView();
-      }
+      HelperFunctions.scroll();
     }
 /*
     start(i: number, bioentitiesPage: number) {
